## bzr 2.6.0~bzr6571

=== debian/changelog ===
bzr (2.6.0~bzr6571-4ubuntu1) raring; urgency=low

  * Merge from Debian experimental (LP: #1097100). Remaining Ubuntu changes:
   - Drop build dependencies on python-{meliae,lzma,medusa},
     which are not in main.
   - Adjust Vcs field in debian/control for Ubuntu.
  * Drop 04_apport_bytesio and 05_tcp_serve_localhost, they are
    not used in Debian and it seems to build fine without them.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 07 Jan 2013 20:02:12 -0500

bzr (2.6.0~bzr6571-4) experimental; urgency=low

  * debian/tests/control: Add python-subunit to autopkgtest
    dependencies (LP: #1101206).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 18 Jan 2013 18:41:31 -0500

bzr (2.6.0~bzr6571-3) experimental; urgency=low

  * debian/rules: Don't call dh_sphinxdoc if doc package is
    not being built. Fixes FTBFS on buildds where arch:all
    packages are not built.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 08 Jan 2013 20:02:55 -0500

bzr (2.6.0~bzr6571-2) experimental; urgency=low

  * Add myself to uploaders.
  * Fix Vcs-Bzr link and add Vcs-Browser field.
  * Run wrap-and-sort over the debian/control file and install files.
  * Bump debian/compat to 9.
  * Build Sphinx-based docs rather than the plain html ones.
    The fixes a number of outstanding doc related bugs:
   - Closes: #670526, #606009
   - LP: #544149, LP: #1014572, LP: #514609

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 06 Jan 2013 19:20:39 -0500

bzr (2.6.0~bzr6571-1ubuntu2) raring; urgency=low

  * Add python-subunit test dependency. (LP: #1101206)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Jan 2013 17:56:00 +0100

bzr (2.6.0~bzr6571-1ubuntu1) raring; urgency=low

  * Merge from Debian. Remaining changes:
   + Drop build dependencies on python-{meliae,lzma,medusa}, which are
     not in main.
   + Drop 06_new_zlib patch and add build-conflicts for newer versions of
     zlib.
   + Adjust Vcs field in debian/control for Ubuntu

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 13 Dec 2012 18:49:21 +0100

bzr (2.6.0~bzr6571-1) experimental; urgency=low

  [ Jelmer Vernooij ]
  * Remove myself from uploaders.
  * New upstream snapshot.
   + Now ships bzr-grep. Added relevant Replaces/Breaks/Provides.
   + Add 04_revert_ui_changes to work around test failures.
  * Add autopkgtest header. Closes: #692680

  [ Max Bowsher]
  * Fix 03_spurious_test_failure to not patch the same file twice, causing
    dpkg-source -x to emit a warning.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 04 Dec 2012 00:42:41 +0100

bzr (2.6.0~bzr6531-1) unstable; urgency=low

  * New upstream snapshot.
   + Reverts use of --no-tty when gpg signing commits.
     Closes: #673484

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 27 Jun 2012 18:01:47 +0200

bzr (2.6.0~bzr6525-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 18 Jun 2012 17:06:50 +0200

bzr (2.6.0~bzr6520-2) unstable; urgency=low

  * Remove Jeff Bailey and Reinhard Tartler from uploaders.
  * Update 03_spurious_test_failure: Disable two more flaky tests.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 16 Apr 2012 17:30:16 +0200

bzr (2.6.0~beta2-0ubuntu3) raring; urgency=low

  * debian/patches/07_fix_ftbfs_on_doc.patch:
    - Fixed a syntax error in ``doc/ja/user-guide/http_smart_server.txt`` that
      causes breakage with docutils 0.9.1.
      (Thanks to Vincent Ladeuil, Jelmer Vernooij, LP: #1066307)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Nov 2012 15:41:45 +0100

bzr (2.6.0~beta2-0ubuntu2) raring; urgency=low

  * debian/patches/06_set_bzrtip_revid_for_propose.patch:
    - set bzr proposed branch tip revid as reviewed_id for bzr lp-propose
      --approve (LP: #1082032)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Nov 2012 15:21:51 +0100

=== debian/control ===
Source: bzr
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Wouter van Heyst <larstiq@larstiq.dyndns.org>,
           Andrew Starr-Bochicchio <asb@debian.org>
Build-Conflicts: python-gpgme
Build-Depends: ca-certificates,
               cython-dbg | python-pyrex,
               debhelper (>= 9),
               fdupes,
               python (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python-configobj (>= 4.7.2+ds-2),
               python-docutils,
               python-paramiko,
               python-pycurl-dbg,
               python-sphinx (>= 1.0.7+dfsg),
               python-subunit,
               python-testtools (>= 0.9.5~)
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Vcs-Bzr: https://code.launchpad.net/ubuntu/+source/bzr
Homepage: http://bazaar-vcs.org
Dm-Upload-Allowed: yes
XS-Testsuite: autopkgtest

Package: bzr
Recommends: python-gpgme
Architecture: all
Depends: python-bzrlib (<= ${source:Version}.1~),
         python-bzrlib (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: bzr-pqm (<< 1.4.0~bzr80),
        bzr-xmloutput (<< 0.8.8+bzr160),
        python-bzrlib (<< 2.4.0~beta3~)
Suggests: bzr-doc,
          bzr-gtk,
          bzr-svn,
          bzrtools,
          python-bzrlib.tests
Description: easy to use distributed version control system
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.

Package: python-bzrlib
Architecture: any
Section: python
Depends: python-configobj,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ca-certificates,
            python-launchpadlib,
            python-paramiko
Suggests: python-bzrlib-dbg,
          python-bzrlib.tests,
          python-gpgme,
          python-kerberos (>= 1.0+svn2455-1),
          python-pycurl,
          xdg-utils
Breaks: bzr (<< 2.3.0-2),
        bzr-grep
Provides: bzr-grep,
          ${python:Provides}
Replaces: bzr (<< 2.3.0-2),
          bzr-grep
Description: distributed version control system - python library
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the Bazaar Python library.
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.

Package: python-bzrlib-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python-bzrlib (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Recommends: python-dbg
Suggests: python-gpgme-dbg,
          python-lzma-dbg,
          python-meliae-dbg
Description: distributed version control system - debug extension
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the debug extension for the Bazaar Python library.

Package: python-bzrlib.tests
Architecture: all
Section: python
Depends: python-bzrlib (<= ${source:Version}.1~),
         python-bzrlib (>= ${source:Version}),
         python-testtools (>= 0.9.5~),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-subunit
Breaks: python-bzrlib (<< 2.4.0~beta1-2)
Provides: ${python:Provides}
Replaces: python-bzrlib (<< 2.4.0~beta1-2)
Description: distributed version control system - testsuite
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the bzrlib test infrastructure and testsuite,
 which is required to run the 'bzr selftest' command and to run
 plugin tests.

Package: bzr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: bzr
Replaces: bzr (<< 2.0.1)
Breaks: bzr (<< 2.0.1)
Description: easy to use distributed version control system (documentation)
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.
 .
 This package provides the documentation.

## bzr 2.6.0

=== debian/changelog ===
bzr (2.6.0-3ubuntu1) saucy; urgency=low

  * Merge with Debian unstable to fix the testsuite, remaining changes:
    - Drop non-main build dependencies on python-{meliae,lzma,medusa}

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Oct 2013 00:38:18 -0600

bzr (2.6.0-3) unstable; urgency=low

  * Backport upstream commit that makes .netrc 0600 in tests so
    python-2.7.5-8's netrc is happy (Closes: #723894).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 04 Oct 2013 18:10:33 -0400

bzr (2.6.0-2) unstable; urgency=low

  * Drop suggestion of bzr-gtk, which is about to be removed from the
    archive.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Sep 2013 21:46:30 +0100

bzr (2.6.0-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - Drop build dependencies on python-{meliae,lzma,medusa},
     which are not in main.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 03 Aug 2013 20:42:25 -0400

bzr (2.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 01 Aug 2013 15:50:13 -0400

bzr (2.6.0~bzr6574-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - Drop build dependencies on python-{meliae,lzma,medusa},
     which are not in main.
  * Drop changes to Vcs fields. The UDD imports are out of date.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 20 May 2013 20:55:13 -0400

bzr (2.6.0~bzr6574-1) unstable; urgency=low

  * New upstream snapshot.
   - Fix CVE 2013-2009. Avoid allowing multiple wildcards in a single
     SSL cert hostname segment (Closes: #709068, LP: #1182124).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 20 May 2013 19:16:44 -0400

bzr (2.6.0~bzr6573-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream snapshot.
  * Remove the test_tuned_gzip.TestToGzip.test_enormous_chunks test
    (LP: #1116079, #1160572). 
  * Drop debian/patches/04_revert_ui_changes, fixed upstream.
  * Drop deprecated Dm-Upload-Allowed field.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Drop un-needed Build-Conflicts on python-gpgme.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 11 May 2013 19:13:15 -0400

bzr (2.6.0~bzr6571-4ubuntu2) raring; urgency=low

  * Remove the test_tuned_gzip.TestToGzip.test_enormous_chunks test.
    LP: #1116079, #1160572.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2013 12:09:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
-Build-Conflicts: python-gpgme
 Build-Depends: ca-certificates,
                cython-dbg | python-pyrex,
                debhelper (>= 9),
@@ -20,11 +19,11 @@
                python-sphinx (>= 1.0.7+dfsg),
                python-subunit,
                python-testtools (>= 0.9.5~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
-Vcs-Bzr: https://code.launchpad.net/ubuntu/+source/bzr
+Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/bzr/2.6
+Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr/2.6
 Homepage: http://bazaar-vcs.org
-Dm-Upload-Allowed: yes
 XS-Testsuite: autopkgtest
 
 Package: bzr
@@ -38,7 +37,6 @@
         bzr-xmloutput (<< 0.8.8+bzr160),
         python-bzrlib (<< 2.4.0~beta3~)
 Suggests: bzr-doc,
-          bzr-gtk,
           bzr-svn,
           bzrtools,
           python-bzrlib.tests
@@ -59,7 +57,7 @@
  .
  Bazaar is written in Python, and has a flexible plugin interface which
  can be used to extend its functionality. Many plugins exist, providing
- useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
+ useful commands (bzrtools), graphical interfaces (qbzr), or native
  interaction with Subversion branches (bzr-svn).
  .
  Install python-paramiko if you are going to push branches to remote
@@ -165,7 +163,7 @@
  .
  Bazaar is written in Python, and has a flexible plugin interface which
  can be used to extend its functionality. Many plugins exist, providing
- useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
+ useful commands (bzrtools), graphical interfaces (qbzr), or native
  interaction with Subversion branches (bzr-svn).
  .
  Install python-paramiko if you are going to push branches to remote

## bzr 2.6.0%2Bbzr6593

=== doc/en/_static/en/Makefile ===
# If you feel the need to duplicate this file, you'll win the right to refactor
# doc/*/quick-reference/Makefile and update TARGETS and OBJECTS usages in
# doc/Makefile

TARGETS=bzr-en-quick-reference.png bzr-en-quick-reference.pdf
OBJECTS=bzr-en-quick-reference.svg Makefile

all: $(TARGETS)

.SUFFIXES: .svg .png .pdf

.svg.pdf:
	rsvg-convert -d 300 -p 300 -f pdf -o $@ $<

.svg.png:
	rsvg-convert -d 300 -p 300 -z 3.3346 -f png -o $@ $<

bzr-en-quick-reference.png: $(OBJECTS)

bzr-en-quick-reference.pdf: $(OBJECTS)

clean:
	rm -f $(TARGETS)

## bzr 2.6.0+bzr6593

=== Makefile ===
# Copyright (C) 2005-2011 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# A relatively simple Makefile to assist in building parts of bzr. Mostly for
# building documentation, etc.


### Core Stuff ###

PYTHON=python
PYTHON24=python24
PYTHON25=python25
PYTHON26=python26
BZR_TARGET=release
PLUGIN_TARGET=plugin-release
PYTHON_BUILDFLAGS=

.PHONY: all clean realclean extensions pyflakes api-docs check-nodocs check

all: extensions

extensions:
	@echo "building extension modules."
	$(PYTHON) setup.py build_ext -i $(PYTHON_BUILDFLAGS)

check: docs check-nodocs

check-nodocs: extensions
	set -e
	# Generate a stream for PQM to watch.
	-$(RM) -f selftest.log
	echo `date` ": selftest starts" 1>&2
	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest -Oselftest.timeout=120 \
	  --subunit $(tests) | tee selftest.log
	echo `date` ": selftest ends" 1>&2
	# An empty log file should catch errors in the $(PYTHON)
	# command above (the '|' swallow any errors since 'make'
	# sees the 'tee' exit code for the whole line
	if [ ! -s selftest.log ] ; then exit 1 ; fi
	# Check that there were no errors reported.
	subunit-stats < selftest.log

# Run Python style checker (apt-get install pyflakes)
#
# Note that at present this gives many false warnings, because it doesn't
# know about identifiers loaded through lazy_import.
pyflakes:
	pyflakes bzrlib

pyflakes-nounused:
	# There are many of these warnings at the moment and they're not a
	# high priority to fix
	pyflakes bzrlib | grep -v ' imported but unused'

clean:
	$(PYTHON) setup.py clean
	-find . -name "*.pyc" -o -name "*.pyo" -o -name "*.so" | xargs rm -f

realclean: clean
	# Remove files which are autogenerated but included by the tarball.
	rm -f bzrlib/*_pyx.c
	rm -f bzrlib/_simple_set_pyx.h bzrlib/_simple_set_pyx_api.h

# Build API documentation
docfiles = bzr bzrlib
api-docs:
	mkdir -p api/html
	pydoctor --make-html --docformat='restructuredtext' --html-output=api/html $(docfiles)

# build tags for emacs and vim
TAGS:
	ctags -R -e bzrlib

tags:
	ctags -R bzrlib

# these are treated as phony so they'll always be rebuilt - it's pretty quick
.PHONY: TAGS tags


### Documentation ###

# Default to plain documentation for maximum backwards compatibility.
# (Post 2.0, the defaults will most likely be Sphinx-style instead.)

docs: docs-plain

clean-docs: clean-plain

html-docs: html-plain


### Man-page Documentation ###

MAN_DEPENDENCIES = bzrlib/builtins.py \
	$(wildcard bzrlib/*.py) \
	$(wildcard bzrlib/*/*.py) \
	tools/generate_docs.py \
	$(wildcard $(addsuffix /*.txt, bzrlib/help_topics/en)) 

MAN_PAGES = man1/bzr.1
man1/bzr.1: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ man


### Sphinx-style Documentation ###

# Build the documentation. To keep the dependencies down to a minimum
# for distro packagers, we only build the html documentation by default.
# Sphinx 0.6 or later is preferred for the best rendering, though
# Sphinx 0.4 or later should work. See http://sphinx.pocoo.org/index.html
# for installation instructions.
docs-sphinx: html-sphinx

# Clean out generated documentation
clean-sphinx:
	cd doc/en && make clean
	cd doc/es && make clean
	cd doc/ja && make clean
	cd doc/ru && make clean
	cd doc/developers && make clean

SPHINX_DEPENDENCIES = \
        doc/en/release-notes/index.txt \
        doc/en/user-reference/index.txt \
	doc/es/Makefile \
	doc/es/make.bat \
	doc/ja/Makefile \
	doc/ja/make.bat \
	doc/ru/Makefile \
	doc/ru/make.bat \
	doc/developers/Makefile \
	doc/developers/make.bat

NEWS_FILES = $(wildcard doc/en/release-notes/bzr-*.txt)

doc/en/user-reference/index.txt: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ rstx

doc/en/release-notes/index.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py $@ $(NEWS_FILES)

doc/%/Makefile: doc/en/Makefile
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

doc/%/make.bat: doc/en/make.bat
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

# Build the html docs using Sphinx.
html-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make html
	cd doc/es && make html
	cd doc/ru && make html
	cd doc/ja && make html
	cd doc/developers && make html

# Build the PDF docs using Sphinx. This requires numerous LaTeX
# packages. See http://sphinx.pocoo.org/builders.html for details.
# Note: We don't currently build PDFs for the Russian docs because
# they require additional packages to be installed (to handle
# Russian hyphenation rules, etc.)
pdf-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make latex
	cd doc/es && make latex
	cd doc/ja && make latex
	cd doc/developers && make latex
	cd doc/en/_build/latex && make all-pdf
	cd doc/es/_build/latex && make all-pdf
	cd doc/developers/_build/latex && make all-pdf

# Build the CHM (Windows Help) docs using Sphinx.
# Note: HtmlHelp Workshop needs to be used on the generated hhp files
# to generate the final chm files.
chm-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make htmlhelp
	cd doc/es && make htmlhelp
	cd doc/ru && make htmlhelp
	cd doc/ja && make htmlhelp
	cd doc/developers && make htmlhelp


# Build the texinfo files using Sphinx.
texinfo-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make texinfo
	cd doc/es && make texinfo
	cd doc/ru && make texinfo
	cd doc/ja && make texinfo
	cd doc/developers && make texinfo

### Documentation Website ###

# Where to build the website
DOC_WEBSITE_BUILD = build_doc_website

# Build and package docs into a website, complete with downloads.
doc-website: html-sphinx pdf-sphinx
	$(PYTHON) tools/package_docs.py doc/en $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/es $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/ru $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/ja $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/developers $(DOC_WEBSITE_BUILD)


### Plain Documentation ###

# While Sphinx is the preferred tool for building documentation, we still
# support our "plain" html documentation so that Sphinx is not a hard
# dependency for packagers on older platforms.

rst2html = $(PYTHON) tools/rst2html.py --link-stylesheet --footnote-references=superscript --halt=warning

# translate txt docs to html
derived_txt_files = \
	doc/en/release-notes/NEWS.txt
txt_all = \
	doc/en/tutorials/tutorial.txt \
	doc/en/tutorials/using_bazaar_with_launchpad.txt \
	doc/en/tutorials/centralized_workflow.txt \
        $(wildcard doc/es/tutorials/*.txt) \
		$(wildcard doc/ru/tutorials/*.txt) \
	doc/ja/tutorials/tutorial.txt \
	doc/ja/tutorials/using_bazaar_with_launchpad.txt \
	doc/ja/tutorials/centralized_workflow.txt \
	$(wildcard doc/*/mini-tutorial/index.txt) \
	$(wildcard doc/*/user-guide/index-plain.txt) \
	doc/en/admin-guide/index-plain.txt \
	$(wildcard doc/es/guia-usario/*.txt) \
	$(derived_txt_files) \
	doc/en/upgrade-guide/index.txt \
	doc/index.txt \
	$(wildcard doc/index.*.txt)
txt_nohtml = \
	doc/en/user-guide/index.txt \
	doc/es/user-guide/index.txt \
	doc/ja/user-guide/index.txt \
	doc/ru/user-guide/index.txt \
	doc/en/admin-guide/index.txt
txt_files = $(filter-out $(txt_nohtml), $(txt_all))
htm_files = $(patsubst %.txt, %.html, $(txt_files)) 

non_txt_files = \
       doc/default.css \
       $(wildcard doc/*/bzr-en-quick-reference.svg) \
       $(wildcard doc/*/bzr-en-quick-reference.png) \
       $(wildcard doc/*/bzr-en-quick-reference.pdf) \
       $(wildcard doc/*/bzr-es-quick-reference.svg) \
       $(wildcard doc/*/bzr-es-quick-reference.png) \
       $(wildcard doc/*/bzr-es-quick-reference.pdf) \
       $(wildcard doc/*/bzr-ru-quick-reference.svg) \
       $(wildcard doc/*/bzr-ru-quick-reference.png) \
       $(wildcard doc/*/bzr-ru-quick-reference.pdf) \
       $(wildcard doc/*/user-guide/images/*.png)

# doc/developers/*.txt files that should *not* be individually
# converted to HTML
dev_txt_nohtml = \
	doc/developers/add.txt \
	doc/developers/annotate.txt \
	doc/developers/bundle-creation.txt \
	doc/developers/commit.txt \
	doc/developers/diff.txt \
	doc/developers/directory-fingerprints.txt \
	doc/developers/gc.txt \
	doc/developers/implementation-notes.txt \
	doc/developers/incremental-push-pull.txt \
	doc/developers/index.txt \
	doc/developers/initial-push-pull.txt \
	doc/developers/merge-scaling.txt \
	doc/developers/miscellaneous-notes.txt \
	doc/developers/missing.txt \
	doc/developers/performance-roadmap-rationale.txt \
	doc/developers/performance-use-case-analysis.txt \
	doc/developers/planned-change-integration.txt \
	doc/developers/planned-performance-changes.txt \
	doc/developers/plans.txt \
	doc/developers/process.txt \
	doc/developers/revert.txt \
	doc/developers/specifications.txt \
	doc/developers/status.txt \
	doc/developers/uncommit.txt

dev_txt_all = $(wildcard $(addsuffix /*.txt, doc/developers))
dev_txt_files = $(filter-out $(dev_txt_nohtml), $(dev_txt_all))
dev_htm_files = $(patsubst %.txt, %.html, $(dev_txt_files)) 

doc/en/user-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/user-guide)) 
	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@

#doc/es/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/es/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
#doc/ru/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/ru/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
doc/en/admin-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/admin-guide)) 
	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@

doc/developers/%.html: doc/developers/%.txt
	$(rst2html) --stylesheet=../default.css $< $@

doc/index.html: doc/index.txt
	$(rst2html) --stylesheet=default.css $< $@

doc/index.%.html: doc/index.%.txt
	$(rst2html) --stylesheet=default.css $< $@

%.html: %.txt
	$(rst2html) --stylesheet=../../default.css $< "$@"

doc/en/release-notes/NEWS.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py "$@" $(NEWS_FILES)

upgrade_guide_dependencies =  $(wildcard $(addsuffix /*.txt, doc/en/upgrade-guide)) 

doc/en/upgrade-guide/index.html: $(upgrade_guide_dependencies)
	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@

derived_web_docs = $(htm_files) $(dev_htm_files) 
WEB_DOCS = $(derived_web_docs) $(non_txt_files)
ALL_DOCS = $(derived_web_docs) $(MAN_PAGES)

# the main target to build all the docs
docs-plain: $(ALL_DOCS)

# produce a tree containing just the final docs, ready for uploading to the web
HTMLDIR = html_docs
html-plain: docs-plain
	$(PYTHON) tools/win32/ostools.py copytree $(WEB_DOCS) $(HTMLDIR)

# clean produced docs
clean-plain:
	$(PYTHON) tools/win32/ostools.py remove $(ALL_DOCS) \
	    $(HTMLDIR) $(derived_txt_files)


### Miscellaneous Documentation Targets ###

# build a png of our performance task list
# this is no longer built by default; you can build it if you want to look at it
doc/developers/performance.png: doc/developers/performance.dot
	@echo Generating $@
	@dot -Tpng $< -o$@ || echo "Dot not installed; skipping generation of $@"


### Windows Support ###

# make all the installers completely from scratch, using zc.buildout
# to fetch the dependencies
# These are files that need to be copied into the build location to boostrap
# the build process.
# Note that the path is relative to tools/win32

=== debian/changelog ===
bzr (2.6.0+bzr6593-1ubuntu1.6) trusty-security; urgency=medium

  * SECURITY UPDATE: Possible arbitrary code execution on clients
    through malicious bzr+ssh URLs
    - debian/patches/24_ssh_hostnames-lp1710979: ensure that host
      arguments to ssh cannot be treated as ssh options.
    - LP: #1710979

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 28 Aug 2017 23:11:14 -0700

bzr (2.6.0+bzr6593-1ubuntu1.5) trusty-proposed; urgency=medium

  * SRU: LP: #1451448.
  * Backport disabling the win32 failing tests as they can't succeed for all
    Ubuntu releases.

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Tue, 15 Dec 2015 10:26:52 +0100

bzr (2.6.0+bzr6593-1ubuntu1.3) trusty-proposed; urgency=medium

  * SRU: LP: #1451448.
  * Disable two tests which are known to be unstable.
  * Add patch 06_win32_paths: Fixes some unit tests for win32-specific
    functions.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jun 2015 12:59:55 +0200

bzr (2.6.0+bzr6593-1ubuntu1.1) trusty; urgency=medium

  * Fix verify-signature command crashing:
    - on non ascii characters (LP: #1123460)
    - when acceptable_keys configuration option is specified (LP: #1249732)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 May 2014 03:48:24 +0100

bzr (2.6.0+bzr6593-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
   - Drop non-main build dependencies on python-{meliae,lzma,medusa}

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 09 Apr 2014 21:36:21 -0400

bzr (2.6.0+bzr6593-1) unstable; urgency=medium

  * New upstream snapshot:
   - Use LooseVersion from distutils to check Pyrex/Cython version
     in order to handle non-integers in the version string.
     Closes: #743096, #683130, LP: #1030521
   - Fix test failures with python-2.7.6 (LP: #1303879).
  * debian/control: No longer suggest bzr-svn (Closes: #709290).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 09 Apr 2014 20:26:48 -0400

bzr (2.6.0+bzr6591-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
   - Drop non-main build dependencies on python-{meliae,lzma,medusa}

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 12 Feb 2014 22:53:07 -0500

bzr (2.6.0+bzr6591-1) unstable; urgency=low

  * New upstream snapshot.
   - Remove wrong assumption about how TCP server and client interact
     when run inside the same process. (Closes: #736158, LP #1269886).
   - The XDG Base Directory Specification uses the XDG_CACHE_HOME,
     not XDG_CACHE_DIR (Closes: #736448).
  * Drop 04_test_netrc_fix_perms, applied upstream. 
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 12 Feb 2014 14:26:26 -0500

bzr (2.6.0-3ubuntu2) trusty; urgency=medium

  * debian/tests/testsuite: Ignore flaky test which is now failing
    persistently with current python2.7 (LP #1269886). It'll still fail
    during package build, so the next upload has to fix this properly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jan 2014 09:06:17 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python-sphinx (>= 1.0.7+dfsg),
                python-subunit,
                python-testtools (>= 0.9.5~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/bzr/2.6
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr/2.6
@@ -37,7 +37,6 @@
         bzr-xmloutput (<< 0.8.8+bzr160),
         python-bzrlib (<< 2.4.0~beta3~)
 Suggests: bzr-doc,
-          bzr-svn,
           bzrtools,
           python-bzrlib.tests
 Description: easy to use distributed version control system

=== debian/rules ===
#!/usr/bin/make -f

# Get the suppoirted Python versions
PYVERS = $(shell pyversions -r -v)
# Get the default Python version
PYVERSION = $(shell pyversions -d -v)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)

%:
	dh $* --with python2,sphinxdoc --buildsystem=python_distutils

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	[ -d debian/bzrhome ] || mkdir debian/bzrhome
	$(CONCURRENCY) \
	BZR_HOME=debian/bzrhome \
	BZR_PLUGIN_PATH=-site:-user \
	BZR_DISABLE_PLUGINS=launchpad \
	PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*-$(PYVERSION)) \
	$(CURDIR)/build/scripts-$(PYVERSION)/bzr selftest -v --parallel=fork -x bzrlib.tests.test_http.TestBadStatusServer.test_http_get -x bzrlib.tests.test_http.TestBadStatusServer.test_http_has
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/bzrhome
	rm -f bzrlib/*_pyx.c
	# 'make clean-sphinx' calls Makefiles in sub-directories that are
	# created only after calling 'make docs-sphinx'. Check for them first.
	if [ -f doc/es/Makefile ]; then $(MAKE) clean-sphinx; fi
	# It also doesn't really clean every thing...
	ls doc/en/user-reference/*txt | grep -v readme.txt | xargs rm -rf
	rm -rf doc/developers/make.bat \
		doc/es/make.bat \
		doc/ja/make.bat \
		doc/ru/make.bat \
		doc/developers/Makefile \
		doc/es/Makefile \
		doc/ja/Makefile \
		doc/ru/Makefile \
		doc/*/_build/ \
		doc/en/release-notes/index.txt

override_dh_install:
	find debian/tmp/ -name "*.pyc" | xargs rm -f
	find debian/tmp/ -name "*.pyo" | xargs rm -f
	mkdir -p debian/python-bzrlib.tests/usr/lib \
		debian/python-bzrlib.tests/usr/share/pyshared/bzrlib
	for py in $(shell pyversions -r); do \
		mkdir -p debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib; \
		mv debian/tmp/usr/lib/$$py/dist-packages/bzrlib/tests \
			debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib/tests; \
	done
	if [ -d debian/tmp/usr/share/locale ]; then \
		mkdir -p debian/python-bzrlib/usr/share; \
		mv debian/tmp/usr/share/locale debian/python-bzrlib/usr/share/locale; \
	fi;
	dh_install --list-missing --fail-missing
	# Install the documentation; since html and txt and intermixed
	# under doc/, this is handier than trying to do it from bzr-doc.install.
	( cd doc && find -name "*.txt" -not -wholename "*/_build/*" -print0 ) | \
		xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
		"debian/bzr-doc/usr/share/doc/bzr/txt/{}"

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs-sphinx

override_dh_compress:
	dh_compress -X.xvg -X.pdf

override_dh_strip:
	dh_strip -ppython-bzrlib --dbg-package=python-bzrlib-dbg

override_dh_link:
	# symlink identical resources.
	cd debian/bzr-doc/usr/share/doc && fdupes -rnq . | while read line; do \
		if [ -z "$$line" ]; then \
			target=""; \
		elif [ -z "$$target" ]; then \
			target=$$line; \
		else \
			echo "symlinking duplicate file '$$line' to '$$target'"; \
			ln -sf /usr/share/doc/"$$target" "$$line"; \
		fi; \
	done
	dh_link

override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc -X searchtools.js
endif
	# dh_sphinxdoc chokes if we delete the extra licence files before it runs.
	find debian/bzr-doc/usr/share/doc/bzr -name "licence.txt" -print | xargs rm -f

## bzr 2.6.0+bzr6595

=== debian/changelog ===
bzr (2.6.0+bzr6595-6+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Use 'localhost' rather than '127.0.0.1' in SSL certificates, as the latter
    trips up pycurl (Closes: #868966)
  * Ship a refreshed copy of the ssl certs used in testsuite
  * Prevent SSH command line options from being specified in bzr+ssh:// URLs
    (CVE-2017-14176) (Closes: #874429)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 28 Nov 2017 21:44:25 +0100

bzr (2.6.0+bzr6595-6) unstable; urgency=medium

  * Re-add python-paramiko as build-dependency now 1.14.1 is in the
    archive.
  * Re-remove myself from uploaders.
  * Use bundled configobj again, because system configobj has
    changed behaviour that breaks the bzr testsuite, reverting
    patch 02_external_configobj. Closes: #760054
  * Add 08_disable_put_file_unicode: Disable test_put_file_unicode for now,
    which is broken for SFTP because of upstream changes in paramiko.
  * Team upload.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 07 Sep 2014 20:34:03 +0200

bzr (2.6.0+bzr6595-5) unstable; urgency=medium

  * Allow installation with version 1.14.1 of paramiko, which will have a
    fix for #750517 that was breaking bzr.
  * Recommend ssh or paramiko (for bzr+ssh://) and suggest
    paramiko (for sftp://).

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 31 Jul 2014 19:03:13 +0200

bzr (2.6.0+bzr6595-4) unstable; urgency=medium

  * For autopktest, install python-{medusa,lzma,meliae,pycurl} to avoid
    skipping tests.
  * Allow autopkgtest to output to standard error.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 18 Jul 2014 00:04:57 +0200

bzr (2.6.0+bzr6595-3) unstable; urgency=medium

  * Add dependency on ca-certifcates in autopktest .
  * Add 07_shorten_test_names: shorten test names to prevent long path
    errors on ci.debian.net

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 15 Jul 2014 18:19:10 +0200

bzr (2.6.0+bzr6595-2) unstable; urgency=medium

  * Use canonical URL for Vcs-Bzr.
  * Conflict and build-conflict with newer versions of paramiko that no
    longer accept 'buffer' objects. This is a stop-gap until paramiko is
    fixed. Closes: #750347
  * Add patch 06_win32_paths: Fixes some unit tests for win32-specific
    functions.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Jul 2014 00:58:14 +0200

bzr (2.6.0+bzr6595-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Re-add myself to uploaders.
  * Don't pass blob to file.writelines(), but rather to file.write().
    Closes: #722091

  [ Dimitri John Ledkov ]
  * New upstream snapshot:
    - verify-signature crashes on non ascii characters (LP: #1123460)
    - verify-signature crashes when acceptable_keys is defined (LP:
    #1249732)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 May 2014 18:27:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bzr
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Wouter van Heyst <larstiq@larstiq.dyndns.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: ca-certificates,
@@ -14,14 +13,17 @@
                python-all-dev (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
-               python-paramiko,
+               python-lzma-dbg,
+               python-medusa,
+               python-meliae-dbg,
+               python-paramiko (<< 1.12.0) | python-paramiko (>= 1.14.1),
                python-pycurl-dbg,
                python-sphinx (>= 1.0.7+dfsg),
                python-subunit,
                python-testtools (>= 0.9.5~)
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/bzr/2.6
+Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-bazaar/bzr/2.6
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr/2.6
 Homepage: http://bazaar-vcs.org
 XS-Testsuite: autopkgtest
@@ -60,8 +62,7 @@
  interaction with Subversion branches (bzr-svn).
  .
  Install python-paramiko if you are going to push branches to remote
- hosts with sftp, and python-pycurl if you'd like for SSL certificates
- always to be verified.
+ hosts with sftp.
 
 Package: python-bzrlib
 Architecture: any
@@ -72,11 +73,13 @@
          ${shlibs:Depends}
 Recommends: ca-certificates,
             python-launchpadlib,
-            python-paramiko
+            ssh-client | python-paramiko
+Conflicts: python-paramiko (<< 1.14.1)
 Suggests: python-bzrlib-dbg,
           python-bzrlib.tests,
           python-gpgme,
           python-kerberos (>= 1.0+svn2455-1),
+          python-paramiko,
           python-pycurl,
           xdg-utils
 Breaks: bzr (<< 2.3.0-2),
@@ -92,9 +95,7 @@
  .
  This package contains the Bazaar Python library.
  .
- Install python-paramiko if you are going to push branches to remote
- hosts with sftp, and python-pycurl if you'd like for SSL certificates
- always to be verified.
+ Install python-paramiko for sftp transport support.
 
 Package: python-bzrlib-dbg
 Architecture: any
@@ -165,8 +166,4 @@
  useful commands (bzrtools), graphical interfaces (qbzr), or native
  interaction with Subversion branches (bzr-svn).
  .
- Install python-paramiko if you are going to push branches to remote
- hosts with sftp, and python-pycurl if you'd like for SSL certificates
- always to be verified.
- .
  This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	BZR_PLUGIN_PATH=-site:-user \
 	BZR_DISABLE_PLUGINS=launchpad \
 	PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*-$(PYVERSION)) \
-	$(CURDIR)/build/scripts-$(PYVERSION)/bzr selftest -v --parallel=fork -x bzrlib.tests.test_http.TestBadStatusServer.test_http_get -x bzrlib.tests.test_http.TestBadStatusServer.test_http_has
+	$(CURDIR)/build/scripts-$(PYVERSION)/bzr selftest -v --parallel=fork
 endif
 
 override_dh_auto_clean:

## bzr 2.6.0+bzr6602

=== debian/changelog ===
bzr (2.6.0+bzr6602-2ubuntu4) wily; urgency=medium

  * debian/patches/11_use_binascii_hexlify.patch: Take patch from merge
    proposal by Andrew Starr-Bochicchio to fix FTBFS due to removed 'hexlify'
    method in paramiko. (LP: #1480015)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 05 Oct 2015 13:33:56 +0100

bzr (2.6.0+bzr6602-2ubuntu3) wily; urgency=medium

  * d/p/10_avoid_assertwarns_override.patch: Avoid conflict with
    assertWarns in unittest2 framework, fixing unit test failures.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jul 2015 11:30:14 +0100

bzr (2.6.0+bzr6602-2ubuntu2) wily; urgency=medium

  * Disable two tests which are known to be unstable. Thanks Vincent Ladeuil!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 May 2015 08:54:02 +0200

bzr (2.6.0+bzr6602-2ubuntu1) wily; urgency=medium

  * Merge with Debian unstable.  Remaining Ubuntu changes:
    - Drop non-main build dependencies on python-{meliae,lzma,medusa}

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 May 2015 13:12:58 +0200

bzr (2.6.0+bzr6602-2) unstable; urgency=medium

  * debian/copyright: Don't repeat text for GPL-2+.
  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Apr 2015 14:45:03 +0000

bzr (2.6.0+bzr6602-1) experimental; urgency=medium

  * Add patch 09_remove_generation_time: Removes generation time from
    manpage, as it causes unreproducible builds. Closes: #782858
  * New upstream snapshot.
  * Drop 04_autodoc_write patch; applied upstream.
  * Team upload.
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Apr 2015 21:54:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: bzr
 Section: vcs
 Priority: optional
-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Wouter van Heyst <larstiq@larstiq.dyndns.org>,
-           Andrew Starr-Bochicchio <asb@debian.org>
+           Andrew Starr-Bochicchio <asb@debian.org>,
+           Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: ca-certificates,
                cython-dbg | python-pyrex,
                debhelper (>= 9),
@@ -13,15 +15,12 @@
                python-all-dev (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
-               python-lzma-dbg,
-               python-medusa,
-               python-meliae-dbg,
                python-paramiko (<< 1.12.0) | python-paramiko (>= 1.14.1),
                python-pycurl-dbg,
                python-sphinx (>= 1.0.7+dfsg),
                python-subunit,
                python-testtools (>= 0.9.5~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-bazaar/bzr/2.6
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr/2.6
